"""Ferda-pain app config."""

from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _

from .settings import FerdaPainSettings


class FerdaPainConfig(AppConfig):
    """Ferda-pain app config."""

    name = "ferda_pain"
    verbose_name = _("PAyments and INvoices")

    def ready(self) -> None:
        """Check configuration."""
        FerdaPainSettings.check()
