"""Pain module views."""

from django.contrib.auth.mixins import LoginRequiredMixin, PermissionRequiredMixin
from django.views.generic import TemplateView


class PainIndexView(LoginRequiredMixin, PermissionRequiredMixin, TemplateView):
    """Pain index."""

    permission_required = "ferda_pain.can_view"
    template_name = "ferda_pain/pain.html"
